Bug 218835 - devel/boost-all: update to 1.64
Summary: devel/boost-all: update to 1.64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on: 215598
Blocks: 220714
  Show dependency treegraph
 
Reported: 2017-04-23 21:12 UTC by Jan Beich
Modified: 2017-09-25 00:17 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (office)
jbeich: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-04-23 21:12:27 UTC
See review D10472 for the patch. Each update has incompatible ABI.

http://www.boost.org/users/history/version_1_64_0.html
https://abi-laboratory.pro/tracker/timeline/boost/
Comment 1 Jan Beich freebsd_committer 2017-04-23 21:24:36 UTC
For exp-run use make.conf(5) contents from bug 215598 comment 2.
Comment 2 Antoine Brodin freebsd_committer 2017-04-30 06:35:04 UTC
On 10.3 there are no new failures.

On 11.0 amd64 there is 1 new failure:  databases/clickhouse

failure log:  http://package18.nyi.freebsd.org/data/110amd64-default-PR218835/2017-04-28_08h58m38s/logs/errors/clickhouse-1.1.54214.log
Comment 3 Jan Beich freebsd_committer 2017-04-30 08:23:22 UTC
(In reply to Antoine Brodin from comment #2)
> On 11.0 amd64 there is 1 new failure:  databases/clickhouse

Fixed by later revision of the patch, see bug 218841 comment 4.
Comment 4 Antoine Brodin freebsd_committer 2017-05-02 05:45:25 UTC
Exp-run looks fine.
Comment 5 commit-hook freebsd_committer 2017-05-02 06:48:38 UTC
A commit references this bug:

Author: jbeich
Date: Tue May  2 06:48:18 UTC 2017
New revision: 439934
URL: https://svnweb.freebsd.org/changeset/ports/439934

Log:
  devel/boost-*: update to 1.64.0

  Changes:	http://www.boost.org/users/history/version_1_64_0.html
  PR:		218835
  Approved by:	office (bapt)
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D10472

Changes:
  head/archivers/innoextract/Makefile
  head/archivers/tardy/Makefile
  head/astro/libkgeomap/Makefile
  head/astro/libosmium/Makefile
  head/audio/ardour/Makefile
  head/audio/ardour5/Makefile
  head/audio/clementine-player/Makefile
  head/audio/cpp-xmms2/Makefile
  head/audio/csound6/Makefile
  head/audio/mp3plot/Makefile
  head/audio/mumble/Makefile
  head/audio/murmur/Makefile
  head/audio/musicpd/Makefile
  head/audio/ncmpcpp/Makefile
  head/audio/patchage/Makefile
  head/audio/pms/Makefile
  head/audio/py-tagpy/Makefile
  head/audio/raul/Makefile
  head/audio/tomahawk/Makefile
  head/biology/seqan-apps/Makefile
  head/cad/freecad/Makefile
  head/cad/fritzing/Makefile
  head/cad/kicad/Makefile
  head/cad/kicad-devel/Makefile
  head/cad/librecad/Makefile
  head/cad/linuxcnc-devel/Makefile
  head/cad/openscad/Makefile
  head/chinese/librime/Makefile
  head/comms/fldigi/Makefile
  head/comms/gnuradio/Makefile
  head/comms/gqrx/Makefile
  head/comms/gr-osmosdr/Makefile
  head/comms/uhd/Makefile
  head/comms/usrp/Makefile
  head/converters/osm2pgsql/Makefile
  head/databases/akonadi/Makefile
  head/databases/clickhouse/Makefile
  head/databases/galera/Makefile
  head/databases/glom/Makefile
  head/databases/hamsterdb/Makefile
  head/databases/mariadb100-server/Makefile
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb55-server/Makefile
  head/databases/mongodb34/Makefile
  head/databases/mysql-connector-c++/Makefile
  head/databases/pgrouting/Makefile
  head/databases/php5-pdo_cassandra/Makefile
  head/databases/sfcgal/Makefile
  head/databases/soci/Makefile
  head/databases/speedtables/Makefile
  head/databases/vsqlite/Makefile
  head/deskutils/easystroke/Makefile
  head/deskutils/gnote/Makefile
  head/deskutils/kdepim4/Makefile
  head/deskutils/kdepim4-runtime/Makefile
  head/deskutils/kdepimlibs4/Makefile
  head/deskutils/launchy/Makefile
  head/deskutils/pinot/Makefile
  head/devel/avro-cpp/Makefile
  head/devel/boost-all/common.mk
  head/devel/boost-docs/distinfo
  head/devel/boost-docs/pkg-plist
  head/devel/boost-jam/distinfo
  head/devel/boost-libs/Makefile
  head/devel/boost-libs/distinfo
  head/devel/boost-libs/files/patch-boost_asio_ssl_impl_context.ipp
  head/devel/boost-libs/files/patch-boost_serialization_array.hpp
  head/devel/boost-libs/files/patch-clang-as
  head/devel/boost-libs/files/patch-tools_build_src_tools_clang-linux.jam
  head/devel/boost-libs/files/patch-tools_build_src_tools_gcc.jam
  head/devel/boost-libs/pkg-plist
  head/devel/boost-python-libs/distinfo
  head/devel/boost_build/Makefile
  head/devel/codeblocks/Makefile
  head/devel/cpp-hocon/Makefile
  head/devel/cpp-netlib/Makefile
  head/devel/cpprestsdk/Makefile
  head/devel/eblob/Makefile
  head/devel/edb/Makefile
  head/devel/gearmand/Makefile
  head/devel/gearmand-devel/Makefile
  head/devel/kdevplatform/Makefile
  head/devel/leatherman/Makefile
  head/devel/libarea/Makefile
  head/devel/libclaw/Makefile
  head/devel/libcutl/Makefile
  head/devel/libflatarray/Makefile
  head/devel/libftdi/Makefile
  head/devel/libftdi1/Makefile
  head/devel/libiqxmlrpc/Makefile
  head/devel/libkolab/Makefile
  head/devel/liblas/Makefile
  head/devel/libopkele/Makefile
  head/devel/liborcus/Makefile
  head/devel/log4cxx/Makefile
  head/devel/love07/Makefile
  head/devel/love08/Makefile
  head/devel/love5/Makefile
  head/devel/luabind/Makefile
  head/devel/mongo-cxx-driver/Makefile
  head/devel/monotone/Makefile
  head/devel/msp430-debug-stack/Makefile
  head/devel/py-pyopencl/Makefile
  head/devel/rlvm/Makefile
  head/devel/sdts++/Makefile
  head/devel/simgear/Makefile
  head/devel/smack/Makefile
  head/devel/srecord/Makefile
  head/devel/subcommander2/Makefile
  head/devel/synfig/Makefile
  head/devel/thrift-cpp/Makefile
  head/devel/uatraits/Makefile
  head/devel/umbrello/Makefile
  head/devel/vera++/Makefile
  head/devel/xmltooling/Makefile
  head/devel/yaml-cpp/Makefile
  head/dns/dnsdist/Makefile
  head/dns/powerdns/Makefile
  head/dns/powerdns-recursor/Makefile
  head/editors/abiword/Makefile
  head/editors/calligra/Makefile
  head/editors/libreoffice/Makefile
  head/editors/madedit/Makefile
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/pdfedit/Makefile
  head/editors/poedit/Makefile
  head/editors/xmlcopyeditor/Makefile
  head/emulators/citra/Makefile
  head/emulators/citra-qt5/Makefile
  head/emulators/mupen64plus-video-glide64mk2/Makefile
  head/finance/kmymoney-kde4/Makefile
  head/finance/ledger/Makefile
  head/finance/moneymanagerex/Makefile
  head/games/0ad/Makefile
  head/games/alephone/Makefile
  head/games/allacrost/Makefile
  head/games/arx-libertatis/Makefile
  head/games/asc/Makefile
  head/games/bastet/Makefile
  head/games/blobby/Makefile
  head/games/burrtools/Makefile
  head/games/easyrpg-player/Makefile
  head/games/ember/Makefile
  head/games/fishsupper/Makefile
  head/games/flightgear/Makefile
  head/games/flyhard/Makefile
  head/games/frogatto/Makefile
  head/games/galaxyhack/Makefile
  head/games/glob2/Makefile
  head/games/lander/Makefile
  head/games/mkhexgrid/Makefile
  head/games/openclonk/Makefile
  head/games/openlierox/Makefile
  head/games/openmw/Makefile
  head/games/openyahtzee/Makefile
  head/games/pingus/Makefile
  head/games/plee-the-bear/Makefile
  head/games/pokerth/Makefile
  head/games/py-fife/Makefile
  head/games/scummvm-tools/Makefile
  head/games/spring/Makefile
  head/games/springlobby/Makefile
  head/games/supertux2/Makefile
  head/games/traingame/Makefile
  head/games/valyriatear/Makefile
  head/games/vamos/Makefile
  head/games/vegastrike/Makefile
  head/games/violetland/Makefile
  head/games/wesnoth/Makefile
  head/games/widelands/Makefile
  head/graphics/agave/Makefile
  head/graphics/appleseed/Makefile
  head/graphics/aqsis/Makefile
  head/graphics/blender/Makefile
  head/graphics/caffe/Makefile
  head/graphics/cegui/Makefile
  head/graphics/colmap/Makefile
  head/graphics/digikam-kde4/Makefile
  head/graphics/dspdfviewer/Makefile
  head/graphics/enblend/Makefile
  head/graphics/evolvotron/Makefile
  head/graphics/fracplanet/Makefile
  head/graphics/gnash/Makefile
  head/graphics/gource/Makefile
  head/graphics/gsculpt/Makefile
  head/graphics/hugin/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/kipi-plugin-gpssync/Makefile
  head/graphics/libcdr01/Makefile
  head/graphics/libetonyek01/Makefile
  head/graphics/libgltf/Makefile
  head/graphics/libopenraw/Makefile
  head/graphics/luminance/Makefile
  head/graphics/luminance-qt5/Makefile
  head/graphics/luxrender/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/mitsuba/Makefile
  head/graphics/ogre3d/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/openshadinglanguage/Makefile
  head/graphics/panomatic/Makefile
  head/graphics/povray37/Makefile
  head/graphics/py-exiv2/Makefile
  head/graphics/scantailor/Makefile
  head/graphics/vigra/Makefile
  head/irc/ezbounce/Makefile
  head/lang/sdcc/Makefile
  head/lang/sdcc-devel/Makefile
  head/mail/libmapi/Makefile
  head/math/armadillo/Makefile
  head/math/aspcud/Makefile
  head/math/cadabra2/Makefile
  head/math/cgal/Makefile
  head/math/clblas/Makefile
  head/math/cryptominisat/Makefile
  head/math/dynare/Makefile
  head/math/fityk/Makefile
  head/math/freemat/Makefile
  head/math/kig/Makefile
  head/math/liborigin/Makefile
  head/math/mosesdecoder/Makefile
  head/math/pdal/Makefile
  head/math/rocs/Makefile
  head/math/stp/Makefile
  head/math/ufc/Makefile
  head/math/vowpal_wabbit/Makefile
  head/misc/artikulate/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/bombono/Makefile
  head/multimedia/cclive/Makefile
  head/multimedia/flvtool++/Makefile
  head/multimedia/gstreamer-qt4/Makefile
  head/multimedia/gstreamer1-qt4/Makefile
  head/multimedia/gstreamer1-qt5/Makefile
  head/multimedia/miro/Makefile
  head/multimedia/mkvtoolnix/Makefile
  head/multimedia/oggvideotools/Makefile
  head/multimedia/omxplayer/Makefile
  head/multimedia/plexhometheater/Makefile
  head/multimedia/vdr-plugin-upnp/Makefile
  head/net/asio/Makefile
  head/net/ceph-devel/Makefile
  head/net/grive/Makefile
  head/net/grive2/Makefile
  head/net/kdenetwork4-strigi-analyzers/Makefile
  head/net/kea/Makefile
  head/net/kget/Makefile
  head/net/libcmis/Makefile
  head/net/pktanon/Makefile
  head/net/scribe/Makefile
  head/net/tcpflow/Makefile
  head/net/xorp/Makefile
  head/net-im/ekiga/Makefile
  head/net-im/licq/Makefile
  head/net-im/licq-icq/Makefile
  head/net-im/licq-jabber/Makefile
  head/net-im/licq-msn/Makefile
  head/net-im/licq-osd/Makefile
  head/net-im/licq-qt-gui/Makefile
  head/net-mgmt/fastnetmon/Makefile
  head/net-mgmt/icinga2/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin-daemon/Makefile
  head/net-p2p/bitcoin-utils/Makefile
  head/net-p2p/dogecoin/Makefile
  head/net-p2p/eiskaltdcpp-daemon/Makefile
  head/net-p2p/eiskaltdcpp-gtk/Makefile
  head/net-p2p/eiskaltdcpp-lib/Makefile
  head/net-p2p/eiskaltdcpp-qt/Makefile
  head/net-p2p/ktorrent/Makefile
  head/net-p2p/libktorrent/Makefile
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/libtorrent-rasterbar-python/Makefile
  head/net-p2p/linuxdcpp/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/qbittorrent/Makefile
  head/net-p2p/twister/Makefile
  head/net-p2p/zetacoin/Makefile
  head/print/libmspub01/Makefile
  head/print/libpagemaker/Makefile
  head/print/lyx/Makefile
  head/print/pdfcube/Makefile
  head/print/scribus/Makefile
  head/science/avogadro/Makefile
  head/science/bddsolve/Makefile
  head/science/gromacs/Makefile
  head/science/iboview/Makefile
  head/science/libgeodecomp/Makefile
  head/science/libkml/Makefile
  head/science/orthanc/Makefile
  head/science/orthanc-dicomweb/Makefile
  head/science/orthanc-postgresql/Makefile
  head/science/orthanc-webviewer/Makefile
  head/science/pulseview/Makefile
  head/security/botan110/Makefile
  head/security/clamfs/Makefile
  head/security/i2pd/Makefile
  head/security/opensaml2/Makefile
  head/security/quantis/Makefile
  head/security/shibboleth2-sp/Makefile
  head/security/spass/Makefile
  head/sysutils/condor/Makefile
  head/sysutils/facter/Makefile
  head/sysutils/freefilesync/Makefile
  head/sysutils/kf5-kwallet/Makefile
  head/sysutils/logstalgia/Makefile
  head/sysutils/ori/Makefile
  head/sysutils/osquery/Makefile
  head/textproc/clucene/Makefile
  head/textproc/highlight/Makefile
  head/textproc/kenlm/Makefile
  head/textproc/kiss-templates/Makefile
  head/textproc/libabw/Makefile
  head/textproc/libe-book/Makefile
  head/textproc/libkolabxml/Makefile
  head/textproc/libmwaw03/Makefile
  head/textproc/libodfgen01/Makefile
  head/textproc/librevenge/Makefile
  head/textproc/libvisio01/Makefile
  head/textproc/libwps/Makefile
  head/textproc/libwps03/Makefile
  head/textproc/luceneplusplus/Makefile
  head/textproc/randlm/Makefile
  head/textproc/source-highlight/Makefile
  head/textproc/xmlwrapp/Makefile
  head/www/anyterm/Makefile
  head/www/domoticz/Makefile
  head/www/kdewebdev4/Makefile
  head/www/nghttp2/Makefile
  head/www/wt/Makefile
  head/x11/kde4-workspace/Makefile
  head/x11/kf5-kactivities/Makefile
  head/x11/leechcraft/Makefile
  head/x11-toolkits/flowcanvas/Makefile
Comment 6 commit-hook freebsd_committer 2017-09-25 00:06:05 UTC
A commit references this bug:

Author: jbeich
Date: Mon Sep 25 00:05:16 UTC 2017
New revision: 450557
URL: https://svnweb.freebsd.org/changeset/ports/450557

Log:
  devel/boost-*: enable C++11 features

  PR:		218835
  Obtained from:	https://github.com/DragonFlyBSD/DeltaPorts/pull/690
  Approved by:	maintainer timeout (2 months)
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D11582

Changes:
  head/archivers/innoextract/Makefile
  head/archivers/tardy/Makefile
  head/astro/libkgeomap/Makefile
  head/astro/libosmium/Makefile
  head/audio/ardour/Makefile
  head/audio/ardour5/Makefile
  head/audio/clementine-player/Makefile
  head/audio/cpp-xmms2/Makefile
  head/audio/csound6/Makefile
  head/audio/mp3plot/Makefile
  head/audio/mumble/Makefile
  head/audio/murmur/Makefile
  head/audio/musicpd/Makefile
  head/audio/ncmpcpp/Makefile
  head/audio/patchage/Makefile
  head/audio/pms/Makefile
  head/audio/py-tagpy/Makefile
  head/audio/raul/Makefile
  head/audio/supercollider/Makefile
  head/biology/seqan-apps/Makefile
  head/cad/freecad/Makefile
  head/cad/fritzing/Makefile
  head/cad/kicad/Makefile
  head/cad/kicad-devel/Makefile
  head/cad/librecad/Makefile
  head/cad/linuxcnc-devel/Makefile
  head/cad/openscad/Makefile
  head/chinese/librime/Makefile
  head/comms/fldigi/Makefile
  head/comms/gnuradio/Makefile
  head/comms/gqrx/Makefile
  head/comms/gr-osmosdr/Makefile
  head/comms/uhd/Makefile
  head/comms/usrp/Makefile
  head/converters/osm2pgsql/Makefile
  head/databases/akonadi/Makefile
  head/databases/clickhouse/Makefile
  head/databases/galera/Makefile
  head/databases/glom/Makefile
  head/databases/grass7/Makefile
  head/databases/hamsterdb/Makefile
  head/databases/mariadb100-server/Makefile
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb102-server/Makefile
  head/databases/mariadb55-server/Makefile
  head/databases/mongodb/Makefile
  head/databases/mongodb34/Makefile
  head/databases/mongodb34-rocks/Makefile
  head/databases/mysql-connector-c++/Makefile
  head/databases/pgrouting/Makefile
  head/databases/php5-pdo_cassandra/Makefile
  head/databases/sfcgal/Makefile
  head/databases/soci/Makefile
  head/databases/speedtables/Makefile
  head/databases/vsqlite/Makefile
  head/deskutils/easystroke/Makefile
  head/deskutils/gnote/Makefile
  head/deskutils/kdepim4/Makefile
  head/deskutils/kdepim4-runtime/Makefile
  head/deskutils/kdepimlibs4/Makefile
  head/deskutils/launchy/Makefile
  head/deskutils/pinot/Makefile
  head/devel/avro-cpp/Makefile
  head/devel/boost-all/compiled.mk
  head/devel/boost-libs/Makefile
  head/devel/boost-libs/pkg-plist
  head/devel/boost_build/Makefile
  head/devel/codeblocks/Makefile
  head/devel/cpp-hocon/Makefile
  head/devel/cpp-netlib/Makefile
  head/devel/cpprestsdk/Makefile
  head/devel/eblob/Makefile
  head/devel/edb/Makefile
  head/devel/gearmand/Makefile
  head/devel/gearmand-devel/Makefile
  head/devel/kdevplatform/Makefile
  head/devel/leatherman/Makefile
  head/devel/libarea/Makefile
  head/devel/libclaw/Makefile
  head/devel/libcutl/Makefile
  head/devel/libflatarray/Makefile
  head/devel/libftdi/Makefile
  head/devel/libftdi1/Makefile
  head/devel/libiqxmlrpc/Makefile
  head/devel/libkolab/Makefile
  head/devel/liblas/Makefile
  head/devel/libopkele/Makefile
  head/devel/liborcus/Makefile
  head/devel/log4cxx/Makefile
  head/devel/love07/Makefile
  head/devel/love08/Makefile
  head/devel/love5/Makefile
  head/devel/luabind/Makefile
  head/devel/mongo-cxx-driver/Makefile
  head/devel/monotone/Makefile
  head/devel/py-pyopencl/Makefile
  head/devel/rlvm/Makefile
  head/devel/sdts++/Makefile
  head/devel/simgear/Makefile
  head/devel/smack/Makefile
  head/devel/srecord/Makefile
  head/devel/subcommander2/Makefile
  head/devel/synfig/Makefile
  head/devel/thrift-cpp/Makefile
  head/devel/uatraits/Makefile
  head/devel/umbrello/Makefile
  head/devel/vera++/Makefile
  head/devel/xmltooling/Makefile
  head/devel/yaml-cpp/Makefile
  head/dns/dnsdist/Makefile
  head/dns/powerdns/Makefile
  head/dns/powerdns-recursor/Makefile
  head/editors/abiword/Makefile
  head/editors/calligra/Makefile
  head/editors/jucipp/Makefile
  head/editors/libreoffice/Makefile
  head/editors/madedit/Makefile
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/pdfedit/Makefile
  head/editors/poedit/Makefile
  head/editors/xmlcopyeditor/Makefile
  head/emulators/citra/Makefile
  head/emulators/citra-qt5/Makefile
  head/emulators/mupen64plus-video-glide64mk2/Makefile
  head/finance/kmymoney-kde4/Makefile
  head/finance/ledger/Makefile
  head/finance/moneymanagerex/Makefile
  head/games/alephone/Makefile
  head/games/allacrost/Makefile
  head/games/arx-libertatis/Makefile
  head/games/asc/Makefile
  head/games/bastet/Makefile
  head/games/blobby/Makefile
  head/games/burrtools/Makefile
  head/games/easyrpg-player/Makefile
  head/games/fishsupper/Makefile
  head/games/flightgear/Makefile
  head/games/flyhard/Makefile
  head/games/frogatto/Makefile
  head/games/galaxyhack/Makefile
  head/games/glob2/Makefile
  head/games/lander/Makefile
  head/games/mkhexgrid/Makefile
  head/games/openclonk/Makefile
  head/games/openlierox/Makefile
  head/games/openmw/Makefile
  head/games/openyahtzee/Makefile
  head/games/pingus/Makefile
  head/games/pokerth/Makefile
  head/games/py-fife/Makefile
  head/games/scummvm-tools/Makefile
  head/games/spring/Makefile
  head/games/springlobby/Makefile
  head/games/stuntrally/Makefile
  head/games/supertux2/Makefile
  head/games/traingame/Makefile
  head/games/valyriatear/Makefile
  head/games/vamos/Makefile
  head/games/vegastrike/Makefile
  head/games/violetland/Makefile
  head/games/wesnoth/Makefile
  head/games/widelands/Makefile
  head/graphics/agave/Makefile
  head/graphics/appleseed/Makefile
  head/graphics/aqsis/Makefile
  head/graphics/blender/Makefile
  head/graphics/caffe/Makefile
  head/graphics/cegui/Makefile
  head/graphics/colmap/Makefile
  head/graphics/digikam-kde4/Makefile
  head/graphics/dspdfviewer/Makefile
  head/graphics/enblend/Makefile
  head/graphics/evolvotron/Makefile
  head/graphics/fracplanet/Makefile
  head/graphics/gnash/Makefile
  head/graphics/gource/Makefile
  head/graphics/gsculpt/Makefile
  head/graphics/hugin/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/kipi-plugin-gpssync/Makefile
  head/graphics/krita/Makefile
  head/graphics/libcdr01/Makefile
  head/graphics/libetonyek01/Makefile
  head/graphics/libfreehand/Makefile
  head/graphics/libgltf/Makefile
  head/graphics/libopenraw/Makefile
  head/graphics/libzmf/Makefile
  head/graphics/luminance/Makefile
  head/graphics/luminance-qt5/Makefile
  head/graphics/luxrender/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/mitsuba/Makefile
  head/graphics/ogre3d/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/openshadinglanguage/Makefile
  head/graphics/panomatic/Makefile
  head/graphics/povray37/Makefile
  head/graphics/py-exiv2/Makefile
  head/graphics/scantailor/Makefile
  head/irc/ezbounce/Makefile
  head/lang/sdcc/Makefile
  head/lang/sdcc-devel/Makefile
  head/mail/libmapi/Makefile
  head/math/armadillo/Makefile
  head/math/aspcud/Makefile
  head/math/cadabra2/Makefile
  head/math/cgal/Makefile
  head/math/clblas/Makefile
  head/math/cryptominisat/Makefile
  head/math/dynare/Makefile
  head/math/fityk/Makefile
  head/math/freemat/Makefile
  head/math/kig/Makefile
  head/math/liborigin/Makefile
  head/math/mosesdecoder/Makefile
  head/math/pdal/Makefile
  head/math/rocs/Makefile
  head/math/stp/Makefile
  head/math/ufc/Makefile
  head/math/vowpal_wabbit/Makefile
  head/misc/artikulate/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/bombono/Makefile
  head/multimedia/cclive/Makefile
  head/multimedia/flvtool++/Makefile
  head/multimedia/gstreamer-qt4/Makefile
  head/multimedia/gstreamer1-qt4/Makefile
  head/multimedia/gstreamer1-qt5/Makefile
  head/multimedia/miro/Makefile
  head/multimedia/mkvtoolnix/Makefile
  head/multimedia/oggvideotools/Makefile
  head/multimedia/omxplayer/Makefile
  head/multimedia/plexhometheater/Makefile
  head/multimedia/vdr-plugin-upnp/Makefile
  head/net/asio/Makefile
  head/net/ceph/Makefile
  head/net/ceph-devel/Makefile
  head/net/grive/Makefile
  head/net/grive2/Makefile
  head/net/kdenetwork4-strigi-analyzers/Makefile
  head/net/kea/Makefile
  head/net/kget/Makefile
  head/net/libcmis/Makefile
  head/net/pktanon/Makefile
  head/net/scribe/Makefile
  head/net/tcpflow/Makefile
  head/net/xorp/Makefile
  head/net-im/ekiga/Makefile
  head/net-im/licq/Makefile
  head/net-im/licq-icq/Makefile
  head/net-im/licq-jabber/Makefile
  head/net-im/licq-msn/Makefile
  head/net-im/licq-osd/Makefile
  head/net-im/licq-qt-gui/Makefile
  head/net-mgmt/fastnetmon/Makefile
  head/net-mgmt/icinga2/Makefile
  head/net-p2p/bitcoin-daemon/Makefile
  head/net-p2p/eiskaltdcpp-daemon/Makefile
  head/net-p2p/eiskaltdcpp-gtk/Makefile
  head/net-p2p/eiskaltdcpp-lib/Makefile
  head/net-p2p/eiskaltdcpp-qt/Makefile
  head/net-p2p/ktorrent/Makefile
  head/net-p2p/libktorrent/Makefile
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/linuxdcpp/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/qbittorrent/Makefile
  head/net-p2p/twister/Makefile
  head/print/libmspub01/Makefile
  head/print/libpagemaker/Makefile
  head/print/lyx/Makefile
  head/print/pdfcube/Makefile
  head/print/scribus/Makefile
  head/science/avogadro/Makefile
  head/science/bddsolve/Makefile
  head/science/gromacs/Makefile
  head/science/iboview/Makefile
  head/science/libgeodecomp/Makefile
  head/science/libkml/Makefile
  head/science/orthanc/Makefile
  head/science/orthanc-dicomweb/Makefile
  head/science/orthanc-postgresql/Makefile
  head/science/orthanc-webviewer/Makefile
  head/science/pulseview/Makefile
  head/security/botan110/Makefile
  head/security/clamfs/Makefile
  head/security/i2pd/Makefile
  head/security/opensaml2/Makefile
  head/security/quantis/Makefile
  head/security/shibboleth2-sp/Makefile
  head/security/spass/Makefile
  head/sysutils/condor/Makefile
  head/sysutils/facter/Makefile
  head/sysutils/freefilesync/Makefile
  head/sysutils/kf5-kwallet/Makefile
  head/sysutils/logstalgia/Makefile
  head/sysutils/ori/Makefile
  head/sysutils/osquery/Makefile
  head/textproc/clucene/Makefile
  head/textproc/highlight/Makefile
  head/textproc/kenlm/Makefile
  head/textproc/kiss-templates/Makefile
  head/textproc/libabw/Makefile
  head/textproc/libe-book/Makefile
  head/textproc/libkolabxml/Makefile
  head/textproc/libmwaw03/Makefile
  head/textproc/libodfgen01/Makefile
  head/textproc/librevenge/Makefile
  head/textproc/libstaroffice/Makefile
  head/textproc/libvisio01/Makefile
  head/textproc/libwpd010/Makefile
  head/textproc/libwps/Makefile
  head/textproc/libwps03/Makefile
  head/textproc/luceneplusplus/Makefile
  head/textproc/randlm/Makefile
  head/textproc/source-highlight/Makefile
  head/textproc/xmlwrapp/Makefile
  head/www/anyterm/Makefile
  head/www/domoticz/Makefile
  head/www/kdewebdev4/Makefile
  head/www/nghttp2/Makefile
  head/www/wt/Makefile
  head/x11/kde4-workspace/Makefile
  head/x11/kf5-kactivities/Makefile
  head/x11/leechcraft/Makefile
  head/x11-toolkits/flowcanvas/Makefile
Comment 7 commit-hook freebsd_committer 2017-09-25 00:09:13 UTC
A commit references this bug:

Author: jbeich
Date: Mon Sep 25 00:08:24 UTC 2017
New revision: 450560
URL: https://svnweb.freebsd.org/changeset/ports/450560

Log:
  devel/boost-*: update to 1.65.1

  Changes:	http://www.boost.org/users/history/version_1_65_1.html
  PR:		218835
  Approved by:	maintainer timeout (1.65.1: 2 weeks; 1.65.0: 1 month)
  Tested by:	jhibbits (on powerpc64, earlier version)
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D11582

Changes:
  head/archivers/innoextract/Makefile
  head/archivers/tardy/Makefile
  head/astro/libkgeomap/Makefile
  head/astro/libosmium/Makefile
  head/audio/ardour/Makefile
  head/audio/ardour5/Makefile
  head/audio/clementine-player/Makefile
  head/audio/cpp-xmms2/Makefile
  head/audio/csound6/Makefile
  head/audio/mp3plot/Makefile
  head/audio/mumble/Makefile
  head/audio/murmur/Makefile
  head/audio/musicpd/Makefile
  head/audio/ncmpcpp/Makefile
  head/audio/patchage/Makefile
  head/audio/pms/Makefile
  head/audio/py-tagpy/Makefile
  head/audio/raul/Makefile
  head/audio/supercollider/Makefile
  head/biology/seqan-apps/Makefile
  head/cad/freecad/Makefile
  head/cad/fritzing/Makefile
  head/cad/kicad/Makefile
  head/cad/kicad-devel/Makefile
  head/cad/librecad/Makefile
  head/cad/linuxcnc-devel/Makefile
  head/cad/openscad/Makefile
  head/chinese/librime/Makefile
  head/comms/fldigi/Makefile
  head/comms/gnuradio/Makefile
  head/comms/gqrx/Makefile
  head/comms/gr-osmosdr/Makefile
  head/comms/uhd/Makefile
  head/comms/usrp/Makefile
  head/converters/osm2pgsql/Makefile
  head/databases/akonadi/Makefile
  head/databases/clickhouse/Makefile
  head/databases/galera/Makefile
  head/databases/glom/Makefile
  head/databases/grass7/Makefile
  head/databases/hamsterdb/Makefile
  head/databases/mariadb100-server/Makefile
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb102-server/Makefile
  head/databases/mariadb55-server/Makefile
  head/databases/mongodb/Makefile
  head/databases/mongodb34/Makefile
  head/databases/mongodb34-rocks/Makefile
  head/databases/mysql-connector-c++/Makefile
  head/databases/pgrouting/Makefile
  head/databases/php5-pdo_cassandra/Makefile
  head/databases/sfcgal/Makefile
  head/databases/soci/Makefile
  head/databases/speedtables/Makefile
  head/databases/vsqlite/Makefile
  head/deskutils/easystroke/Makefile
  head/deskutils/gnote/Makefile
  head/deskutils/kdepim4/Makefile
  head/deskutils/kdepim4-runtime/Makefile
  head/deskutils/kdepimlibs4/Makefile
  head/deskutils/launchy/Makefile
  head/deskutils/pinot/Makefile
  head/devel/avro-cpp/Makefile
  head/devel/boost-all/common.mk
  head/devel/boost-docs/distinfo
  head/devel/boost-docs/pkg-plist
  head/devel/boost-jam/distinfo
  head/devel/boost-libs/Makefile
  head/devel/boost-libs/distinfo
  head/devel/boost-libs/files/patch-boost_serialization_array.hpp
  head/devel/boost-libs/files/patch-boost_stacktrace_detail_collect__unwind.ipp
  head/devel/boost-libs/files/patch-libs_stacktrace_build_has__addr2line.cpp
  head/devel/boost-libs/pkg-plist
  head/devel/boost-python-libs/distinfo
  head/devel/boost_build/Makefile
  head/devel/codeblocks/Makefile
  head/devel/cpp-hocon/Makefile
  head/devel/cpp-netlib/Makefile
  head/devel/cpprestsdk/Makefile
  head/devel/eblob/Makefile
  head/devel/edb/Makefile
  head/devel/gearmand/Makefile
  head/devel/gearmand-devel/Makefile
  head/devel/kdevplatform/Makefile
  head/devel/leatherman/Makefile
  head/devel/libarea/Makefile
  head/devel/libclaw/Makefile
  head/devel/libcutl/Makefile
  head/devel/libflatarray/Makefile
  head/devel/libftdi/Makefile
  head/devel/libftdi1/Makefile
  head/devel/libiqxmlrpc/Makefile
  head/devel/libkolab/Makefile
  head/devel/liblas/Makefile
  head/devel/libopkele/Makefile
  head/devel/liborcus/Makefile
  head/devel/log4cxx/Makefile
  head/devel/love07/Makefile
  head/devel/love08/Makefile
  head/devel/love5/Makefile
  head/devel/luabind/Makefile
  head/devel/mongo-cxx-driver/Makefile
  head/devel/monotone/Makefile
  head/devel/msp430-debug-stack/Makefile
  head/devel/py-pyopencl/Makefile
  head/devel/rlvm/Makefile
  head/devel/sdts++/Makefile
  head/devel/simgear/Makefile
  head/devel/smack/Makefile
  head/devel/srecord/Makefile
  head/devel/subcommander2/Makefile
  head/devel/synfig/Makefile
  head/devel/thrift-cpp/Makefile
  head/devel/uatraits/Makefile
  head/devel/umbrello/Makefile
  head/devel/vera++/Makefile
  head/devel/xmltooling/Makefile
  head/devel/yaml-cpp/Makefile
  head/dns/dnsdist/Makefile
  head/dns/powerdns/Makefile
  head/dns/powerdns-recursor/Makefile
  head/editors/abiword/Makefile
  head/editors/calligra/Makefile
  head/editors/jucipp/Makefile
  head/editors/libreoffice/Makefile
  head/editors/madedit/Makefile
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/pdfedit/Makefile
  head/editors/poedit/Makefile
  head/editors/xmlcopyeditor/Makefile
  head/emulators/citra/Makefile
  head/emulators/citra-qt5/Makefile
  head/emulators/mupen64plus-video-glide64mk2/Makefile
  head/finance/kmymoney-kde4/Makefile
  head/finance/ledger/Makefile
  head/finance/moneymanagerex/Makefile
  head/games/0ad/Makefile
  head/games/alephone/Makefile
  head/games/allacrost/Makefile
  head/games/arx-libertatis/Makefile
  head/games/asc/Makefile
  head/games/bastet/Makefile
  head/games/blobby/Makefile
  head/games/burrtools/Makefile
  head/games/easyrpg-player/Makefile
  head/games/fishsupper/Makefile
  head/games/flightgear/Makefile
  head/games/flyhard/Makefile
  head/games/frogatto/Makefile
  head/games/galaxyhack/Makefile
  head/games/glob2/Makefile
  head/games/lander/Makefile
  head/games/mkhexgrid/Makefile
  head/games/openclonk/Makefile
  head/games/openlierox/Makefile
  head/games/openmw/Makefile
  head/games/openyahtzee/Makefile
  head/games/pingus/Makefile
  head/games/pokerth/Makefile
  head/games/py-fife/Makefile
  head/games/scummvm-tools/Makefile
  head/games/spring/Makefile
  head/games/springlobby/Makefile
  head/games/stuntrally/Makefile
  head/games/supertux2/Makefile
  head/games/traingame/Makefile
  head/games/valyriatear/Makefile
  head/games/vamos/Makefile
  head/games/vegastrike/Makefile
  head/games/violetland/Makefile
  head/games/wesnoth/Makefile
  head/games/widelands/Makefile
  head/graphics/agave/Makefile
  head/graphics/appleseed/Makefile
  head/graphics/aqsis/Makefile
  head/graphics/blender/Makefile
  head/graphics/caffe/Makefile
  head/graphics/cegui/Makefile
  head/graphics/colmap/Makefile
  head/graphics/digikam-kde4/Makefile
  head/graphics/dspdfviewer/Makefile
  head/graphics/enblend/Makefile
  head/graphics/evolvotron/Makefile
  head/graphics/fracplanet/Makefile
  head/graphics/gnash/Makefile
  head/graphics/gource/Makefile
  head/graphics/gsculpt/Makefile
  head/graphics/hugin/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/kipi-plugin-gpssync/Makefile
  head/graphics/krita/Makefile
  head/graphics/libcdr01/Makefile
  head/graphics/libetonyek01/Makefile
  head/graphics/libfreehand/Makefile
  head/graphics/libgltf/Makefile
  head/graphics/libopenraw/Makefile
  head/graphics/libzmf/Makefile
  head/graphics/luminance/Makefile
  head/graphics/luminance-qt5/Makefile
  head/graphics/luxrender/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/mitsuba/Makefile
  head/graphics/ogre3d/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/openshadinglanguage/Makefile
  head/graphics/panomatic/Makefile
  head/graphics/povray37/Makefile
  head/graphics/py-exiv2/Makefile
  head/graphics/scantailor/Makefile
  head/graphics/vigra/Makefile
  head/irc/ezbounce/Makefile
  head/lang/sdcc/Makefile
  head/lang/sdcc-devel/Makefile
  head/mail/libmapi/Makefile
  head/math/armadillo/Makefile
  head/math/aspcud/Makefile
  head/math/cadabra2/Makefile
  head/math/cgal/Makefile
  head/math/clblas/Makefile
  head/math/cryptominisat/Makefile
  head/math/dynare/Makefile
  head/math/fityk/Makefile
  head/math/freemat/Makefile
  head/math/kig/Makefile
  head/math/liborigin/Makefile
  head/math/mosesdecoder/Makefile
  head/math/pdal/Makefile
  head/math/rocs/Makefile
  head/math/stp/Makefile
  head/math/ufc/Makefile
  head/math/vowpal_wabbit/Makefile
  head/misc/artikulate/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/bombono/Makefile
  head/multimedia/cclive/Makefile
  head/multimedia/flvtool++/Makefile
  head/multimedia/gstreamer-qt4/Makefile
  head/multimedia/gstreamer1-qt4/Makefile
  head/multimedia/gstreamer1-qt5/Makefile
  head/multimedia/miro/Makefile
  head/multimedia/mkvtoolnix/Makefile
  head/multimedia/oggvideotools/Makefile
  head/multimedia/omxplayer/Makefile
  head/multimedia/plexhometheater/Makefile
  head/multimedia/vdr-plugin-upnp/Makefile
  head/net/asio/Makefile
  head/net/ceph/Makefile
  head/net/ceph-devel/Makefile
  head/net/grive/Makefile
  head/net/grive2/Makefile
  head/net/kdenetwork4-strigi-analyzers/Makefile
  head/net/kea/Makefile
  head/net/kget/Makefile
  head/net/libcmis/Makefile
  head/net/pktanon/Makefile
  head/net/scribe/Makefile
  head/net/tcpflow/Makefile
  head/net/xorp/Makefile
  head/net-im/ekiga/Makefile
  head/net-im/licq/Makefile
  head/net-im/licq-icq/Makefile
  head/net-im/licq-jabber/Makefile
  head/net-im/licq-msn/Makefile
  head/net-im/licq-osd/Makefile
  head/net-im/licq-qt-gui/Makefile
  head/net-mgmt/fastnetmon/Makefile
  head/net-mgmt/icinga2/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin-daemon/Makefile
  head/net-p2p/dogecoin/Makefile
  head/net-p2p/eiskaltdcpp-daemon/Makefile
  head/net-p2p/eiskaltdcpp-gtk/Makefile
  head/net-p2p/eiskaltdcpp-lib/Makefile
  head/net-p2p/eiskaltdcpp-qt/Makefile
  head/net-p2p/ktorrent/Makefile
  head/net-p2p/libktorrent/Makefile
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/linuxdcpp/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/qbittorrent/Makefile
  head/net-p2p/twister/Makefile
  head/net-p2p/zetacoin/Makefile
  head/print/libmspub01/Makefile
  head/print/libpagemaker/Makefile
  head/print/lyx/Makefile
  head/print/pdfcube/Makefile
  head/print/scribus/Makefile
  head/science/avogadro/Makefile
  head/science/bddsolve/Makefile
  head/science/gromacs/Makefile
  head/science/iboview/Makefile
  head/science/libgeodecomp/Makefile
  head/science/libkml/Makefile
  head/science/orthanc/Makefile
  head/science/orthanc-dicomweb/Makefile
  head/science/orthanc-postgresql/Makefile
  head/science/orthanc-webviewer/Makefile
  head/science/pulseview/Makefile
  head/security/botan110/Makefile
  head/security/clamfs/Makefile
  head/security/i2pd/Makefile
  head/security/opensaml2/Makefile
  head/security/quantis/Makefile
  head/security/shibboleth2-sp/Makefile
  head/security/spass/Makefile
  head/sysutils/condor/Makefile
  head/sysutils/facter/Makefile
  head/sysutils/freefilesync/Makefile
  head/sysutils/kf5-kwallet/Makefile
  head/sysutils/logstalgia/Makefile
  head/sysutils/ori/Makefile
  head/sysutils/osquery/Makefile
  head/textproc/clucene/Makefile
  head/textproc/highlight/Makefile
  head/textproc/kenlm/Makefile
  head/textproc/kiss-templates/Makefile
  head/textproc/libabw/Makefile
  head/textproc/libe-book/Makefile
  head/textproc/libkolabxml/Makefile
  head/textproc/libmwaw03/Makefile
  head/textproc/libodfgen01/Makefile
  head/textproc/librevenge/Makefile
  head/textproc/libstaroffice/Makefile
  head/textproc/libvisio01/Makefile
  head/textproc/libwpd010/Makefile
  head/textproc/libwps/Makefile
  head/textproc/libwps03/Makefile
  head/textproc/luceneplusplus/Makefile
  head/textproc/randlm/Makefile
  head/textproc/source-highlight/Makefile
  head/textproc/xmlwrapp/Makefile
  head/www/anyterm/Makefile
  head/www/domoticz/Makefile
  head/www/kdewebdev4/Makefile
  head/www/nghttp2/Makefile
  head/www/wt/Makefile
  head/x11/kde4-workspace/Makefile
  head/x11/kf5-kactivities/Makefile
  head/x11/leechcraft/Makefile
  head/x11-toolkits/flowcanvas/Makefile
Comment 8 Jan Beich freebsd_committer 2017-09-25 00:17:15 UTC
Typos in PR field: comment 6 is for bug 220783 while comment 7 is for bug 220714.